Debian Bug report logs - #55553
dialog_0.9a-20000101-1(unstable): build error: needs -lm for linking

version graph

Package: dialog; Maintainer for dialog is Santiago Vila <sanvila@debian.org>; Source for dialog is src:dialog.

Reported by: Roman.Hodek@informatik.uni-erlangen.de

Date: Tue, 18 Jan 2000 12:18:01 UTC

Severity: important

Found in version 0.9a-20000101-1

Done: Santiago Vila <sanvila@unex.es>

Bug is archived. No further changes may be made.

Forwarded to "T.E.Dickey" <dickey@clark.net>

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@ctv.es>:
Bug#55553; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to Roman.Hodek@informatik.uni-erlangen.de:
New Bug report received and forwarded. Copy sent to Santiago Vila <sanvila@ctv.es>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>
To: submit@bugs.debian.org
Subject: dialog_0.9a-20000101-1(unstable): build error: needs -lm for linking
Date: Tue, 18 Jan 2000 13:04:58 +0100 (MET)
Package: dialog
Version: 0.9a-20000101-1
Severity: important

I tried to recompile the newest dialog version for m68k, but it failed
with:

[...]
> a - util.o
> a - yesno.o
> ranlib libdialog.a
> gcc -O2 -g -Wall  -DHAVE_CONFIG_H -I. -I. -DVERSION=\"`cat VERSION`\" -c dialog.c
> gcc -o dialog dialog.o -L. -ldialog  -lcurses 
> ./libdialog.a(util.o): In function `real_auto_size':
> /usr/local/home/buildd/build/dialog-0.9a-20000101/util.c:357: undefined reference to `sqrt'
> /usr/local/home/buildd/build/dialog-0.9a-20000101/util.c:357: undefined reference to `sqrt'
> collect2: ld returned 1 exit status
> make[1]: *** [dialog] Error 1
> make[1]: Leaving directory `/usr/local/home/buildd/build/dialog-0.9a-20000101'
> make: *** [build] Error 2

Here is obviously a -lm missing.

libm.so also can't be pulled in by -lcurses, because libcurses.so
isn't linked with -lm neither on i386 nor m68k.

Since this is a "cannot build from source" type bug, it is to be
considered important. (See Debian developer's reference.)

Roman


Reply sent to Santiago Vila <sanvila@unex.es>:
You have marked Bug as forwarded. Full text and rfc822 format available.

Message #8 received at 55553-forwarded@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@unex.es>
To: "T.E.Dickey" <dickey@clark.net>
Cc: 55553-forwarded@bugs.debian.org, Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>
Subject: Bug#55553: dialog_0.9a-20000101-1(unstable): build error: needs -lm for linking (fwd)
Date: Tue, 18 Jan 2000 14:31:53 +0100 (CET)
Hello.

I received this from the Debian Bug System.
Please keep the Cc: lines.

Thanks.

---------- Forwarded message ----------
Date: Tue, 18 Jan 2000 13:04:58 +0100 (MET)
From: Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>
To: submit@bugs.debian.org
Subject: #55553: dialog_0.9a-20000101-1(unstable): build error: needs -lm for linking

Package: dialog
Version: 0.9a-20000101-1
Severity: important

I tried to recompile the newest dialog version for m68k, but it failed
with:

[...]
> a - util.o
> a - yesno.o
> ranlib libdialog.a
> gcc -O2 -g -Wall  -DHAVE_CONFIG_H -I. -I. -DVERSION=\"`cat VERSION`\" -c dialog.c
> gcc -o dialog dialog.o -L. -ldialog  -lcurses 
> ./libdialog.a(util.o): In function `real_auto_size':
> /usr/local/home/buildd/build/dialog-0.9a-20000101/util.c:357: undefined reference to `sqrt'
> /usr/local/home/buildd/build/dialog-0.9a-20000101/util.c:357: undefined reference to `sqrt'
> collect2: ld returned 1 exit status
> make[1]: *** [dialog] Error 1
> make[1]: Leaving directory `/usr/local/home/buildd/build/dialog-0.9a-20000101'
> make: *** [build] Error 2

Here is obviously a -lm missing.

libm.so also can't be pulled in by -lcurses, because libcurses.so
isn't linked with -lm neither on i386 nor m68k.

Since this is a "cannot build from source" type bug, it is to be
considered important. (See Debian developer's reference.)

Roman

-- 
 "b6c9b341180821e15f47aa7d670c5e9b" (a truly random sig)



Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@ctv.es>:
Bug#55553; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to Santiago Vila <sanvila@unex.es>:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@ctv.es>. Full text and rfc822 format available.

Message #13 received at 55553@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@unex.es>
To: Roman.Hodek@informatik.uni-erlangen.de, 55553@bugs.debian.org
Subject: Re: #55553: dialog_0.9a-20000101-1(unstable): build error: needs -lm for linking
Date: Tue, 18 Jan 2000 14:48:56 +0100 (CET)
On Tue, 18 Jan 2000, Roman Hodek wrote:

> Package: dialog
> Version: 0.9a-20000101-1
> Severity: important
> 
> [...]
> > /usr/local/home/buildd/build/dialog-0.9a-20000101/util.c:357: undefined reference to `sqrt'
> > /usr/local/home/buildd/build/dialog-0.9a-20000101/util.c:357: undefined reference to `sqrt'

Is this a new feature of ncurses5 (over ncurses4)?

-- 
 "5afd98fc166b33fcb9532d25be9d6737" (a truly random sig)



Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@ctv.es>:
Bug#55553; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to Roman.Hodek@informatik.uni-erlangen.de:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@ctv.es>. Full text and rfc822 format available.

Message #18 received at 55553@bugs.debian.org (full text, mbox):

From: Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>
To: sanvila@unex.es
Cc: 55553@bugs.debian.org
Subject: Re: #55553: dialog_0.9a-20000101-1(unstable): build error: needs -lm for linking
Date: Tue, 18 Jan 2000 15:06:49 +0100 (MET)
Hi Santiago!

> Is this a new feature of ncurses5 (over ncurses4)?

Don't think so... it seems not related to ncurses.

sqrt is referenced from util.c, which is from dialog source.

Roman


Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@ctv.es>:
Bug#55553; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to Santiago Vila <sanvila@unex.es>:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@ctv.es>. Full text and rfc822 format available.

Message #23 received at 55553@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@unex.es>
To: Roman.Hodek@informatik.uni-erlangen.de, 55553@bugs.debian.org
Subject: Re: Bug#55553: dialog_0.9a-20000101-1(unstable): build error: needs -lm for linking
Date: Tue, 18 Jan 2000 15:43:42 +0100 (CET)
> > Is this a new feature of ncurses5 (over ncurses4)?
> 
> Don't think so... it seems not related to ncurses.
> 
> sqrt is referenced from util.c, which is from dialog source.

I ask this because I obviously was able to build this package on my
machine (which is still slink). If ncurses5 is not the difference, which
would be? When I run ./configure I get

[...]
checking if -lm needed for math functions... yes
[...]

and -lm becomes part of the LIBS variable in the makefile.

What do you get? (I suppose this does not happen in your system).

configure.in says `CF_MATH_LIB', could this be a problem in the autoconf
tool used by the author (version 2.13.19990117)? Could you re-run
autoconf and see if the MAT_LIB test in the configure script is changed by
a better one?

Thanks.

-- 
 "7ed60b6aff1cf5e224d9a1fa440c9f6e" (a truly random sig)



Message #24 received at 55553-forwarded@bugs.debian.org (full text, mbox):

From: "T.E.Dickey" <dickey@clark.net>
To: sanvila@unex.es (Santiago Vila <sanvila@unex.es>)
Cc: 55553-forwarded@bugs.debian.org, Roman.Hodek@informatik.uni-erlangen.de
Subject: Re: Bug#55553: dialog_0.9a-20000101-1(unstable): build error: needs -lm for linking (fwd)
Date: Tue, 18 Jan 100 09:45:45 -0500 (EST)
> Hello. 
>  
> I received this from the Debian Bug System. 
thanks (I noticed this last night when I was compiling with -g option, but
haven't added a configure-test yet).

> Please keep the Cc: lines. 
>  
> Thanks. 
>  
> ---------- Forwarded message ---------- 
> Date: Tue, 18 Jan 2000 13:04:58 +0100 (MET) 
> From: Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de> 
> To: submit@bugs.debian.org 
> Subject: #55553: dialog_0.9a-20000101-1(unstable): build error: needs -lm for linking 
>  
> Package: dialog 
> Version: 0.9a-20000101-1 
> Severity: important 
>  
> I tried to recompile the newest dialog version for m68k, but it failed 
> with: 
>  
> [...] 
> > a - util.o 
> > a - yesno.o 
> > ranlib libdialog.a 
> > gcc -O2 -g -Wall  -DHAVE_CONFIG_H -I. -I. -DVERSION=\"`cat VERSION`\" -c dialog.c 
> > gcc -o dialog dialog.o -L. -ldialog  -lcurses  
> > ./libdialog.a(util.o): In function `real_auto_size': 
> > /usr/local/home/buildd/build/dialog-0.9a-20000101/util.c:357: undefined reference to `sqrt' 
> > /usr/local/home/buildd/build/dialog-0.9a-20000101/util.c:357: undefined reference to `sqrt' 
> > collect2: ld returned 1 exit status 
> > make[1]: *** [dialog] Error 1 
> > make[1]: Leaving directory `/usr/local/home/buildd/build/dialog-0.9a-20000101' 
> > make: *** [build] Error 2 
>  
> Here is obviously a -lm missing. 
>  
> libm.so also can't be pulled in by -lcurses, because libcurses.so 
> isn't linked with -lm neither on i386 nor m68k. 
>  
> Since this is a "cannot build from source" type bug, it is to be 
> considered important. (See Debian developer's reference.) 
>  
> Roman 
>  
> --  
>  "b6c9b341180821e15f47aa7d670c5e9b" (a truly random sig) 
>  
> 


-- 
Thomas E. Dickey
dickey@clark.net
http://www.clark.net/pub/dickey


Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@ctv.es>:
Bug#55553; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to Roman.Hodek@informatik.uni-erlangen.de:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@ctv.es>. Full text and rfc822 format available.

Message #29 received at 55553@bugs.debian.org (full text, mbox):

From: Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>
To: sanvila@unex.es, 55553@bugs.debian.org, "T.E.Dickey" <dickey@clark.net>
Subject: Re: Bug#55553: dialog_0.9a-20000101-1(unstable): build error: needs -lm for linking
Date: Tue, 18 Jan 2000 16:06:18 +0100 (MET)
Hi Santiago!

> [...]
> checking if -lm needed for math functions... yes
> [...]
> 
> and -lm becomes part of the LIBS variable in the makefile.

Ok, that's it. I have

  checking if -lm needed for math functions... no

Since the build tree is already cleaned, I rerun configure now to see
what's happening...

Hmm... it's really saying I don't need -lm. Wait a minute... ah, got
it!

The test program

int main() {
double x; printf("sin(1.0) = %g\n", sin(1.0));
; return 0; }

is compiled with -O2, and since sin() is taken from a constant, gcc
can optimize it away (at least on m68k; there are inline variants in
<math.h>). If I replace sin() by sqrt(), the test works.

> configure.in says `CF_MATH_LIB', could this be a problem in the autoconf
> tool used by the author (version 2.13.19990117)? Could you re-run
> autoconf and see if the MAT_LIB test in the configure script is changed by
> a better one?

The CF_MATH_LIB is provided by aclocal.m4, so re-running autoconf
doesn't help (it uses the same macro again). AFAICS, autoconf also
provides no macro for testing for -lm.

So my suggested solution is to replace sin() by another function that
is less likely to be inlined (e.g. cbrt()).

Roman


Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@ctv.es>:
Bug#55553; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to Santiago Vila <sanvila@unex.es>:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@ctv.es>. Full text and rfc822 format available.

Message #34 received at 55553@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@unex.es>
To: Roman.Hodek@informatik.uni-erlangen.de, 55553@bugs.debian.org
Subject: Re: Bug#55553: dialog_0.9a-20000101-1(unstable): build error: needs -lm for linking
Date: Wed, 19 Jan 2000 10:59:32 +0100 (CET)
Hi.

Thomas Dickey has just released dialog-0.9-20000118.
I'm working on it and upload it this morning if I can.

According to the changelog he has fixed this bug by not using a constant
parameter to the test function in the configure test for the math
library.

Thanks.

-- 
 "b535f37469af336f9995054e31a0abc4" (a truly random sig)



Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@ctv.es>:
Bug#55553; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to Roman.Hodek@informatik.uni-erlangen.de:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@ctv.es>. Full text and rfc822 format available.

Message #39 received at 55553@bugs.debian.org (full text, mbox):

From: Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>
To: sanvila@unex.es
Cc: 55553@bugs.debian.org, dickey@clark.net
Subject: Re: Bug#55553: dialog_0.9a-20000101-1(unstable): build error: needs -lm for linking
Date: Wed, 19 Jan 2000 11:06:08 +0100 (MET)
Hi Santiago!

> Thomas Dickey has just released dialog-0.9-20000118. I'm working on
> it and upload it this morning if I can.

Fine, thanks!

> According to the changelog he has fixed this bug by not using a
> constant parameter to the test function in the configure test for
> the math library.

Probably doesn't work on m68k. I also tried with a global variable,
but the sin() call was still replaced by a single fsin.x asm
instruction.

Roman


Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@ctv.es>:
Bug#55553; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to Santiago Vila <sanvila@unex.es>:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@ctv.es>. Full text and rfc822 format available.

Message #44 received at 55553@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@unex.es>
To: Roman.Hodek@informatik.uni-erlangen.de, 55553@bugs.debian.org
Cc: dickey@clark.net
Subject: Re: Bug#55553: dialog_0.9a-20000101-1(unstable): build error: needs -lm for linking
Date: Wed, 19 Jan 2000 12:11:22 +0100 (CET)
On Wed, 19 Jan 2000, Roman Hodek wrote:

> > According to the changelog he has fixed this bug by not using a
> > constant parameter to the test function in the configure test for
> > the math library.
> 
> Probably doesn't work on m68k. I also tried with a global variable,
> but the sin() call was still replaced by a single fsin.x asm
> instruction.

Ok, I have taken a look at the current test in the 20000118 release.
It is like this:

int main() {
double x = rand(); printf("sin(1.0) = %g\n", sin(x));
; return 0; }

Does gcc on m68k really inline this?
Maybe it should inline also sqrt in util.c and not fail :-)

-- 
 "4e263f647a4e09fd311b09bad90b0f41" (a truly random sig)



Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@ctv.es>:
Bug#55553; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to Roman.Hodek@informatik.uni-erlangen.de:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@ctv.es>. Full text and rfc822 format available.

Message #49 received at 55553@bugs.debian.org (full text, mbox):

From: Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>
To: sanvila@unex.es
Cc: 55553@bugs.debian.org, dickey@clark.net
Subject: Re: Bug#55553: dialog_0.9a-20000101-1(unstable): build error: needs -lm for linking
Date: Wed, 19 Jan 2000 12:44:37 +0100 (MET)
> Ok, I have taken a look at the current test in the 20000118 release.
> It is like this:
> 
> int main() {
> double x = rand(); printf("sin(1.0) = %g\n", sin(x));
> ; return 0; }
> 
> Does gcc on m68k really inline this?

Yes. Of course it cannot inline rand(), but that's in libc, not libm.
And the sin() is still replaced by a single asm insn. (I guess it's
independent from the argument, as long as it can be loaded into a FP
reg.)

> Maybe it should inline also sqrt in util.c and not fail :-)

Maybe it should, but obviously it doesn't :-(

Roman


Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@ctv.es>:
Bug#55553; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to Roman.Hodek@informatik.uni-erlangen.de:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@ctv.es>. Full text and rfc822 format available.

Message #54 received at 55553@bugs.debian.org (full text, mbox):

From: Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>
To: dickey@clark.net, Santiago Vila <sanvila@unex.es>, 55553@bugs.debian.org
Subject: Re: Bug#55553: dialog_0.9a-20000101-1(unstable): build error: needs -lm for linking
Date: Wed, 19 Jan 2000 13:18:58 +0100 (MET)
> hmm (perhaps a more complex parameter?

No, doesn't work. The parameter is calculated, ends up in a register,
and then the asm instruction can be used on it. All sin() calls ever
will be replaced if compiling with optimization...

> (and not knowing in advance which functions are not inlined, I don't
> know how to work around this - suggestions are welcome).

This is a problem -- yes. However, sin() is a good candidate for
inlining, as many FPUs have a direct opcode for it. From this my
suggestion for using cbrt() (cubic root), as this should be seldem
implemented in hardware. Another idea: Test more than one function.
The probability that all of them are inlined decreases.

Oh, one more idea: use -O0. But this might be hard to pass into
autoconf macros :-(

Roman


Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@ctv.es>:
Bug#55553; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to Santiago Vila <sanvila@unex.es>:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@ctv.es>. Full text and rfc822 format available.

Message #59 received at 55553@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@unex.es>
To: Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>
Cc: dickey@clark.net, 55553@bugs.debian.org
Subject: Re: #55553: dialog_0.9a-20000101-1(unstable): build error: needs -lm for linking
Date: Wed, 19 Jan 2000 14:18:18 +0100 (CET)
On Wed, 19 Jan 2000, Roman Hodek wrote:

> This is a problem -- yes. However, sin() is a good candidate for
> inlining, as many FPUs have a direct opcode for it. From this my
> suggestion for using cbrt() (cubic root), as this should be seldem
> implemented in hardware. Another idea: Test more than one function.
> The probability that all of them are inlined decreases.
> 
> Oh, one more idea: use -O0. But this might be hard to pass into
> autoconf macros :-(

Another idea: Test for the sqrt function proper which is used in util.c.
Since linking without -lm fails, this is one of the functions gcc seems
not to inline [ After all, sqrt is the only mathematical function used in
dialog (if I'm not mistaken) ].

-- 
 "50de005018ee11b867a4ecf9ac2c2dba" (a truly random sig)



Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@ctv.es>:
Bug#55553; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to Roman.Hodek@informatik.uni-erlangen.de:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@ctv.es>. Full text and rfc822 format available.

Message #64 received at 55553@bugs.debian.org (full text, mbox):

From: Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>
To: dickey@clark.net, Santiago Vila <sanvila@unex.es>, 55553@bugs.debian.org
Subject: Re: Bug#55553: dialog_0.9a-20000101-1(unstable): build error: needs -lm for linking
Date: Wed, 19 Jan 2000 16:21:13 +0100 (MET)
> Another idea: Test for the sqrt function proper which is used in
> util.c. Since linking without -lm fails, this is one of the
> functions gcc seems not to inline [ After all, sqrt is the only
> mathematical function used in dialog (if I'm not mistaken) ].

If that's true, it's of course a solution (for dialog only).

> that's a race... (but I can certainly add a list of test-functions
> to the macro, so it'll test the special cases I need - for dialog
> it's sqrt, for ncurses it was sin).

Sure it's not perfect, but I can't think of anything perfect :-( You?

> In any case, a constant parameter for the test-function doesn't seem
> to be working very well.

For m68k it doesn't matter.

> again, inlined stuff isn't guaranteed to be ifdef'd for
> optimization.

It's not, but it's gcc's usual behaviour.

Roman



Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@ctv.es>:
Bug#55553; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to Roman.Hodek@informatik.uni-erlangen.de:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@ctv.es>. Full text and rfc822 format available.

Message #69 received at 55553@bugs.debian.org (full text, mbox):

From: Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>
To: dickey@clark.net
Cc: Santiago Vila <sanvila@unex.es>, 55553@bugs.debian.org
Subject: Re: Bug#55553: dialog_0.9a-20000101-1(unstable): build error: needs -lm for linking
Date: Thu, 20 Jan 2000 09:13:18 +0100 (MET)
Hi Tom!

> yes (I don't much like having to customize my autoconf macros for
> each program - in this case I think I can make the macro accept a
> parameter list, and iterate to get one or more functions, but that's
> likely to be a maintenance problem)

If you really want to modify it for every package, it's kind of a
problem. A bit easier is to simply add new functions to the test and
never remove them :-)

> no. (but does the program work properly for you once you build it
> ;-)

Yep, dialog works :-)

> that's evolved a bit (imho, inlining is abused in the header files)

It gains a lot of performance. For example on m68k, inlining the sin()
call reduces

	...
	fmoved		%fp0,%sp@-
	bsr			%picreg@(sin)
	addql		#8,%sp
	...
sin:fmoved		%sp@(4),%fp0
	fsinx		%fp0
	rts

to

	fsinx		%fp0

i.e. it saves 5 instructions, 1 subroutine call and 2 memory accesses.

Roman


Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@ctv.es>:
Bug#55553; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to Roman.Hodek@informatik.uni-erlangen.de:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@ctv.es>. Full text and rfc822 format available.

Message #74 received at 55553@bugs.debian.org (full text, mbox):

From: Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>
To: dickey@clark.net
Cc: Santiago Vila <sanvila@unex.es>, 55553@bugs.debian.org
Subject: Re: Bug#55553: dialog_0.9a-20000101-1(unstable): build error: needs -lm for linking
Date: Thu, 20 Jan 2000 13:36:56 +0100 (MET)
Hi Tom!

> well that's first on my list when I get back to dialog. I'm working
> on a couple of other programs first (and will do the
> configure-script change when I'm working on ncurses, so I'll add
> that to dialog).

Ok.

Santiago, can you please as a workaround replace sin() by sqrt() for
now in the Debian package? (So that it works for now; dialog is rather
important.)

> yes - if you do a lot of sin() calls...

And otherwise it (usually :-) doesn't hurt...

Roman


Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@ctv.es>:
Bug#55553; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to Santiago Vila <sanvila@unex.es>:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@ctv.es>. Full text and rfc822 format available.

Message #79 received at 55553@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@unex.es>
To: Roman.Hodek@informatik.uni-erlangen.de, 55553@bugs.debian.org
Subject: Re: #55553: dialog_0.9a-20000101-1(unstable): build error: needs -lm for linking
Date: Thu, 20 Jan 2000 14:10:21 +0100 (CET)
On Thu, 20 Jan 2000, Roman Hodek wrote:

> 
> Hi Tom!
> 
> > well that's first on my list when I get back to dialog. I'm working
> > on a couple of other programs first (and will do the
> > configure-script change when I'm working on ncurses, so I'll add
> > that to dialog).
> 
> Ok.
> 
> Santiago, can you please as a workaround replace sin() by sqrt() for
> now in the Debian package? (So that it works for now; dialog is rather
> important.)

Yes. I'll do this.

-- 
 "3f8123149fa73659722321f01437046b" (a truly random sig)



Reply sent to Santiago Vila <sanvila@unex.es>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Roman.Hodek@informatik.uni-erlangen.de:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #84 received at 55553-done@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@unex.es>
To: 55553-done@bugs.debian.org
Cc: Roman.Hodek@informatik.uni-erlangen.de
Subject: Re: Bug#55553: dialog_0.9a-20000101-1(unstable): build error: needs -lm for linking
Date: Fri, 28 Jan 2000 11:26:46 +0100 (CET)
Hello Roman.

I see there is a dialog_0.9a-20000118-2.deb in binary-m68k, so I suppose
the simple fix applied to it worked and it was built automatically without
errors.

( If this is not the case, please reopen the bug :-)

Thanks.

-- 
 "bb5176bc63b6946960481b3bf1ae8035" (a truly random sig)



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 13:48:19 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.